singleton Material(bumper_body)
{
   mapTo = "bumper_body";
   specularMap[0] = "bumper_body_s.png";
   diffuseMap[0] = "bumper_body.png";
   specularPower[0] = "32";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(bumper_frame)
{
   mapTo = "bumper_frame";
   diffuseMap[1] = "bumper_frame_c.png";
   diffuseMap[0] = "bumper_frame.png";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(bumper_wheel)
{
   mapTo = "bumper_wheel";
   diffuseMap[0] = "bumper_wheel.png";
   diffuseMap[1] = "bumper_wheel_c.png";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(bumper_motor)
{
   mapTo = "bumper_motor";
   diffuseMap[0] = "bumper_motor.png";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(bumper_interior)
{
    mapTo = "bumper_interior";
    diffuseMap[0] = "bumper_interior_d.dds";
    specularMap[0] = "bumper_interior_s.dds";
    normalMap[0] = "bumper_interior_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(pigeon_glass)
{
    mapTo = "pigeon_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    opacityMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0.2";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights)
{
    mapTo = "pigeon_lights";
    diffuseMap[1] = "vehicles/pigeon/pigeon_lights_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_headlight)
{
    mapTo = "pigeon_headlight";
};